Package org.eclipse.draw2d

# Class SubordinateUpdateManager

java.lang.Object
org.eclipse.draw2d.UpdateManager
org.eclipse.draw2d.SubordinateUpdateManager

public abstract class SubordinateUpdateManager extends UpdateManager
Deprecated.
this class is not used

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GraphicsSource`
`graphicsSource`
Deprecated.
A graphics source
`protected IFigure`
`root`
Deprecated.
A root figure.

## Constructor Summary

Constructors
Constructor
Description
`SubordinateUpdateManager()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addDirtyRegion(IFigure f, int x, int y, int w, int h)`
Deprecated.
Adds the dirty region defined by the coordinates on the IFigure figure.
`void`
`addInvalidFigure(IFigure f)`
Deprecated.
The receiver should call validate() on the IFigure figure in a timely fashion.
`protected abstract IFigure`
`getHost()`
Deprecated.
Returns the host figure.
`protected UpdateManager`
`getSuperior()`
Deprecated.
Returns the superior update manager.
`void`
`performUpdate()`
Deprecated.
Forces an update to occur.
`void`
`performUpdate(Rectangle rect)`
Deprecated.
Performs an update on the given exposed rectangle.
`void`
`setGraphicsSource(GraphicsSource gs)`
Deprecated.
Sets the GraphicsSource for this update manager.
`void`
`setRoot(IFigure f)`
Deprecated.
Sets the root figure.

### Methods inherited from class org.eclipse.draw2d.UpdateManager

`addDirtyRegion, addUpdateListener, dispose, firePainting, fireValidating, isDisposed, paint, performValidation, removeUpdateListener, runWithUpdate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### root

protected IFigure root
Deprecated.
A root figure.

### graphicsSource

protected GraphicsSource graphicsSource
Deprecated.
A graphics source

## Constructor Details

### SubordinateUpdateManager

public SubordinateUpdateManager()
Deprecated.

## Method Details

### addDirtyRegion

public void addDirtyRegion(IFigure f, int x, int y, int w, int h)
Deprecated.
Description copied from class: `UpdateManager`
Adds the dirty region defined by the coordinates on the IFigure figure. The update manager should repaint the dirty region in a timely fashion.

Specified by:
  `addDirtyRegion` in class `UpdateManager`
Parameters:
  `f` - the dirty figure
  `x` - the x coordinate of the dirty region
  `y` - the y coordinate of the dirty region
  `w` - the width of the dirty region
  `h` - the height of the dirty region
See Also:
  - `UpdateManager.addDirtyRegion(IFigure, int, int, int, int)`

### addInvalidFigure

public void addInvalidFigure(IFigure f)
Deprecated.
Description copied from class: `UpdateManager`
The receiver should call validate() on the IFigure figure in a timely fashion.

Specified by:
  `addInvalidFigure` in class `UpdateManager`
Parameters:
  `f` - the invalid figure
See Also:
  - `UpdateManager.addInvalidFigure(IFigure)`

### getHost

protected abstract IFigure getHost()
Deprecated.
Returns the host figure.

Returns:
  the host figure

### getSuperior

protected UpdateManager getSuperior()
Deprecated.
Returns the superior update manager.

Returns:
  the superior

### performUpdate

public void performUpdate()
Deprecated.
Description copied from class: `UpdateManager`
Forces an update to occur. Update managers will perform updates automatically, but may do so asynchronously. Calling this method forces a synchronous update.

Specified by:
  `performUpdate` in class `UpdateManager`
See Also:
  - `UpdateManager.performUpdate()`

### performUpdate

public void performUpdate(Rectangle rect)
Deprecated.
Description copied from class: `UpdateManager`
Performs an update on the given exposed rectangle.

Specified by:
  `performUpdate` in class `UpdateManager`
Parameters:
  `rect` - the exposed rectangle
See Also:
  - `UpdateManager.performUpdate(Rectangle)`

### setRoot

public void setRoot(IFigure f)
Deprecated.
Description copied from class: `UpdateManager`
Sets the root figure.

Specified by:
  `setRoot` in class `UpdateManager`
Parameters:
  `f` - the new root figure
See Also:
  - `UpdateManager.setRoot(IFigure)`

### setGraphicsSource

public void setGraphicsSource(GraphicsSource gs)
Deprecated.
Description copied from class: `UpdateManager`
Sets the GraphicsSource for this update manager.

Specified by:
  `setGraphicsSource` in class `UpdateManager`
Parameters:
  `gs` - the new GraphicsSource
See Also:
  - `UpdateManager.setGraphicsSource(GraphicsSource)`